# $Id: Makefile.here.tpl,v 1.11 2005/10/14 14:20:01 tews Exp $ 
ROOT=/usr/local

# where otags binaries will be installed
#BINDIR=$(ROOT)/bin/
BINDIR=tplbin

# where otags libs will be installed
#INSTALLLIBDIR=$(ROOT)/lib/camlp4/
INSTALLLIBDIR=tpllib

# Compilation commands. The first four will be automatically configured.
# Delete the "tpl" if you are configuring from hand.
CAMLC=tplocamlc
CAMLOPT=tplocamlopt
CAMLAR=tplocamlc -a
CAMLP4=camlp4o
CAMLP4DIR=${shell ${CAMLP4} -where}
CAMLLEX=ocamllex
CAMLDEP=ocamldep

# native compilation available? Set to ``true'' of ``false'' !
NATIVE=tplnative

# ocaml source location (optional, see README)
CAMLSRC=tplocamlsrc


# goal for native-code camlp4 parsers
# set to 
# NCAMLP4=camlp4o_pr_emacs camlp4o_pr_vi
# if native compilation works. Leave empty otherwise.
NCAMLP4=tplncamlgoals


# Goal to link native and byte code compilation.
# If you have native compilation substitute otags.opt for tplotags. 
# Otherwise substitute otags.byte
otags: tplotags
	cp $< $@


# Goals to link the native-code camlp4 parsers.
# If you configured an ocaml source tree above, then substitute 
# camlp4o_pr_emacs_fixed for tplnemacsgoal and 
# camlp4o_pr_vi_fixed for tplnvigoal.
# Otherwise substitute
# camlp4o_pr_emacs_ext for tplnemacsgoal and 
# camlp4o_pr_vi_ext for tplnvigoal.

camlp4o_pr_emacs: tplnemacsgoal
	cp $< $@

camlp4o_pr_vi: tplnvigoal
	cp $< $@
